Skip to main content
GET
/
v1
/
notification-deliveries
List notification deliveries
curl --request GET \
  --url https://api.strait.dev/v1/notification-deliveries \
  --header 'Authorization: Bearer <token>'
[
  {
    "attempts": 123,
    "channel_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "event_type": "<string>",
    "id": "<string>",
    "max_attempts": 123,
    "payload": "<unknown>",
    "project_id": "<string>",
    "status": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "delivered_at": "2023-11-07T05:31:56Z",
    "last_error": "<string>",
    "next_retry_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Query Parameters

limit
string
cursor
string

Response

object[] | null

OK

attempts
integer<int64>
required
channel_id
string
required
created_at
string<date-time>
required
event_type
string
required
id
string
required
max_attempts
integer<int64>
required
payload
any
required
project_id
string
required
status
string
required
updated_at
string<date-time>
required
delivered_at
string<date-time>
last_error
string
next_retry_at
string<date-time>